class P4RestError(Exception):
    '''Base class for exceptions in this application'''

class P4RestSessionError(P4RestError):
    '''Exceptions from P4RestSession'''

class P4RestSessionInvalidError(P4RestSessionError):
    '''Exceptions from P4RestSession'''

class P4RestSessionExpiredError(P4RestSessionError):
    '''Exceptions from P4RestSession'''

class P4RestCommandError(P4RestError):
    '''Exceptions from Command'''

    def __init__(self, httpstatuscode, value):
        self.httpstatuscode = httpstatuscode
        self.value = value

    def __str__(self):
        return str(self.value)
